jdk,tomcat版本选择6还是7?

J2EE 码拜 7年前 (2015-05-10) 908次浏览 0个评论
 

有机会做一个新的系统,想选一个好点的框架
现在拿不准要不要使用jdk和tomcat比较新的版本
之前准备用jdk6和tomcat6,但有人建议都用7版本,用过的大侠进来说下,7是否足够稳定和效率高?

10分
都可以
没做过性能的比较
一般自己写东西都用jdk7 和 tomcat7 ,一般的新特性都很少用到,也没有关注过
5分
目前都用7,不过JDK用了OpenJDK
直接jdk8,tomcat 8。
5分
JDK6 已经停止维护,jdk7是今年4月,当然要选择jdk8了。

既然是全新系统就去看看jee6/7,看看oracle提供的例子, restful服务开发有多简单:

http://www.oracle.com/technetwork/articles/java/jaxrs20-1929352.html

容器忘记tomcat吧 ,技术激进的用jee7,对应的容器有:wildfly8(jbossAS的新名字)  glassfish4
商业服务器目前还只支持jee6。

你可以参考jee7,使用jee6

5分
– -! 一直在用jdk7和tomcat7  效果一直很好,挺稳定的
5分
jdk1.6和tomcat6.0足够用,而且比较稳定,对于新版本,如果觉得新鲜,可以自己对于新特性,写点demo练练。
我现在两个都是用的8
10分
jdk和tomcat都是向下兼容的,新版本而且出来好久都没明显BUG,那就用新的吧,而且有BUG好像你做的系统也关系不到!

CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明jdk,tomcat版本选择6还是7?
喜欢 (0)
[1034331897@qq.com]
分享 (0)

文章评论已关闭!